---
title: List
url: https://www.tines.com/docs/api/cases/subscribers/list-1-0/
updated: 2024-05-21T14:23:06+00:00
description: Retrieve a list of subscribers of a case.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Subscribers](https://www.tines.com/llm/docs/api/cases/subscribers.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/cases/subscribers/list-1-0/)*

| ⚠️ Note                                                                     |
| --------------------------------------------------------------------------- |
| This API endpoint has been deprecated, please update to the latest version. |

## Description

Retrieve a list of subscribers of a case.

## Request

HTTP Method: **GET**

| Parameter | Description                                                                                         |
| --------- | --------------------------------------------------------------------------------------------------- |
| case_id   | The ID of the case.                                                                                 |
| per_page  | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page      | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/cases/<<case_id>>/subscribers \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object with the subscribers.

### Field description

| Parameter   | Description                               |
| ----------- | ----------------------------------------- |
| case_id     | The case ID.                              |
| subscribers | An array of users subscribed to the case. |

| User parameter | Description               |
| -------------- | ------------------------- |
| user_id        | The user ID.              |
| first_name     | The user's first name.    |
| last_name      | The user's last name.     |
| email          | The user's email address. |
| avatar_url     | The user's avatar url.    |

### Sample response

<!-- cspell:disable -->

```json
{
  "case_id": 42,
  "subscribers": [
    {
      "user_id": "1",
      "first_name": "Jane",
      "last_name": "Doe",
      "email": "jane@tines.io",
      "avatar_url": "example.com/avatar"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/cases/42/subscribers?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
```
